Subject: bug#30540: closed (Re: bug#30540: ssh: No user exists for uid 1000)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 20 Feb 2018 00:31:01 +0000

Your bug report

#30540: ssh: No user exists for uid 1000

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30540: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30540
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30540: ssh: No user exists for uid 1000
From: Leo Famulari <[email-masked]>
To: Andreas Enge <[email-masked]>
Cc: [email-masked]
Date: Mon, 19 Feb 2018 19:30:44 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Feb 20, 2018 at 12:06:45AM +0100, Andreas Enge wrote:
> it looks like the glibc change when merging core-updates caused us to be
> bitten by a bug that is known on NixOS:
>    https://github.com/NixOS/nixpkgs/issues/31762
> 
> When I type "ssh whatever" (literally, or replacing "whatever" by a real
> server name), then the error message
>    No user exists for uid 1000
> is printed and the ssh command is not executed.

The issue is that glibc 2.26 deprecated the "compat" query type of the
Name Service Switch.

We discussed this previously in <https://bugs.gnu.org/30298>.

One can adjust to the change by either using the nscd daemon [0] or
editing /etc/nsswitch.conf and replacing instances of 'compat' with
'files'.

On Debian Stretch, I found that `apt-get install nscd` was sufficient.

I'm going to merge this report with #30298.

[0] We already "strongly recommend" using nscd:
https://www.gnu.org/software/guix/manual/html_node/Application-Setup.html#Name-Service-Switch-1

Subject: ssh: No user exists for uid 1000
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Tue, 20 Feb 2018 00:06:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

it looks like the glibc change when merging core-updates caused us to be
bitten by a bug that is known on NixOS:
   https://github.com/NixOS/nixpkgs/issues/31762

When I type "ssh whatever" (literally, or replacing "whatever" by a real
server name), then the error message
   No user exists for uid 1000
is printed and the ssh command is not executed.

I am using guix on top of debian.

Andreas